ColdFusion Builder Beta 3 Upgrade Issues

This morning I upgraded my installation of ColdFusion Builder to use the new Beta 3 release.

Eclipse is my main development IDE. It's streamlined the way I work, and having the ability to switch between SVN management, Flex/AIR development, ColdFusion development and much more within the same IDE window is superb. As such, I run ColdFusion Builder as a plugin into Eclipse.

Upgrading to Beta 3 hit a small issue, and viewing ANY .cfc or .cfm file in ColdFusion Builder was throwing the following error alert:

Coldfusion Builder Beta3 Install Errors

The error was related to com/adobe/rds/client/eclipse/debugger/ui/model/CFMLLineBreakAdapter, and would throw as soon as any ColdFusion file was active in the IDE. A major pain, especially if you are flicking between multiple tabs of CF pages.

The installation instructions were followed to the letter, two or three times, so I was a little puzzled.

After uninstalling the Beta version again, I looked in the 'eclipse->plugins' directory, and noticed that most if not all of the ColdFusion-related plugins (com.adobe.ide.coldfusion.*) were still there - this included the new Beta 3 and the old Beta 2 plugis.

I deleted and removed these from the directory, and ran the installer again. This time around, the installation was a perfect success, no alert messages. I can only assume that the residual CF-related plugins were causing conflicts with the new plugins from the Beta 3 upgrade. Removing them all and starting again worked.

Thanks to Paul Kukiel for letting me use his screen shot (above). I was lacking caffiene too much to obtain my own at that time. Thanks Paul.

Related links:

Adobe ColdFusion Builder - installing/upggrading to Beta 3

comments powered by Disqus